/*
 * Drop.h
 *
 *  Created on: March 25, 2014
 *      Author: brian
 */

#ifndef __Drop_h__
#define __Drop_h__

#include "GameObject.h"
#include "Vector2D.h"
#include "SoundManager.h"
#include <iostream>

using namespace std;

#include "SDL.h"

class Drop: public GameObject {
public:
	Drop();
	virtual ~Drop();

	void setRandHeading();
	void setGravity(Vector2D& gravity);

	void load(int x, int y, int width, int height, std::string textureID);
	void draw(SDL_Renderer* pRenderer);
	void update();
	void clean();

private:
	Vector2D m_heading;
	Vector2D m_gravity;

};

#endif
